EDIT - feature request #6595
feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration

Migrate name editor
04/27/2017 06:52 AM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.11

Severity: major

Description

Related issues:

Related to EDIT - bug #6550: ArrayIndexOutOfBoundsException when opening a ta... Closed
Copied to EDIT - bug #7064: NameEditor remaining issues Closed
Copied from EDIT - feature request #7071: Reenable restore functionality New

Associated revisions

Revision 4ff11da5 - 08/24/2017 05:11 PM - pplitzner

ref #6595 Initial commit of migrated/refactored classes (not working)

Revision 033ef209 - 08/25/2017 11:12 AM - Patrick Plitzner

ref #6595 Fix composite cascade

Revision 65514c8c¢ - 08/25/2017 02:16 PM - Patrick Plitzner
ref #6595 further migration of name editor
e Add context menu

e fix selection propagation
e fix saving

Revision ae55584a - 08/28/2017 11:53 AM - Patrick Plitzner

ref #6595 remove unused parameter

Revision a7d1d751 - 08/28/2017 01:37 PM - Patrick Plitzner

ref #6595 migrate concept menu handlers

Revision 90cf660a - 08/28/2017 04:59 PM - Patrick Plitzner

ref #6595 Set visibility of context menu items in name editor

Revision b692de70 - 08/28/2017 05:46 PM - Patrick Plitzner
ref #6595 Fix active part fetching

Revision 186b9558 - 08/29/2017 07:54 AM - Patrick Plitzner
ref #6595 Refresh after delete

Revision 459a7535 - 08/29/2017 08:23 AM - Patrick Plitzner
ref #6595 Do not hide subMenultems

Revision a1764026 - 08/29/2017 08:24 AM - Patrick Plitzner

ref #6595 Migrate conversation handling of moveSynonym operation

Revision 15cd5e08 - 08/29/2017 12:24 PM - Patrick Plitzner
ref #6595 Migrate handler for opening taxon nodes in name editor

Revision 200e8530 - 08/29/2017 12:57 PM - Patrick Plitzner

ref #6595 Use only e4 handler for opening name editor

Revision b02af7{6 - 08/29/2017 01:44 PM - Patrick Plitzner

ref #6595 Refresh after moving synonym

Revision c8cdc672 - 08/29/2017 02:53 PM - Patrick Plitzner
ref #6595 Propagate dirty state handling

Revision e378d285 - 08/29/2017 05:01 PM - Patrick Plitzner
ref #6595 Update part name with changes

Revision eaff1338 - 08/31/2017 12:05 PM - Patrick Plitzner

ref #6595 refactor selection handling to migrated name editor

Revision e9fa67ee - 09/04/2017 10:25 AM - Patrick Plitzner
ref #6595, #6925 Use EventBroker to keep track of active taxon editor

Revision fb85fe2e - 09/04/2017 03:00 PM - Patrick Plitzner

ref #6595 Evaluate current taxon in taxon relationship detail element

Revision 24b8f2f1 - 09/04/2017 06:26 PM - Patrick Plitzner
ref #6595 migrate drag and drop functionality

Revision 860316¢8 - 09/04/2017 07:55 PM - Patrick Plitzner

ref #6595 removed e3 name editor classes (unstable navigator plugin)

Revision e3624fa7 - 09/08/2017 06:22 AM - Patrick Plitzner

ref #6595 remove e3 references

Revision 5d040c73 - 09/27/2017 08:47 AM - Patrick Plitzner
ref #6595 Remove €3 popup menu

Revision 8fb03377 - 10/18/2017 11:04 PM - Patrick Plitzner

ref #6595 Do not open name editor twice for same taxon

Revision 31e5785¢ - 10/20/2017 11:07 AM - Katja Luther
fix #6595: not editable synonyms should be enabled to be clickable

Revision fbd8e961 - 10/25/2017 10:42 AM - Patrick Plitzner

ref #6595 Do not open name editor twice for same taxon (fully fixed)

Revision e34c0af1 - 10/26/2017 09:05 AM - Patrick Plitzner

ref #6595 Set correct focus when opening a taxon/synonym

Revision 48af2464 - 10/26/2017 09:14 AM - Patrick Plitzner
ref #6595 Fix NPE when opening orphaned taxon

Revision 3fd7ed16 - 10/27/2017 07:46 AM - Patrick Plitzner

ref #6595 Fix initial selection for synonymy and accepted taxa

Revision be02f4f9 - 10/27/2017 12:05 PM - Patrick Plitzner

ref #6595, 6568 Open taxon name editor in editor area

® migrate taxonomic perspective
Revision 41¢c668f3 - 10/27/2017 12:39 PM - Patrick Plitzner
ref #6595 code refactoring

Revision 61d94a7a - 11/03/2017 09:06 AM - Patrick Plitzner
ref #6595, #6597 Optimize selection event propagation
e reduce rendering of details view etc.

Revision c175c2ff - 11/08/2017 09:28 AM - Patrick Plitzner

ref #6595 Show full title cache of name in name editor tab

Revision 0bd0e199 - 11/08/2017 09:45 AM - Patrick Plitzner

ref #6595 Remove exception from editor opening

Revision 4ae1033f - 11/08/2017 09:45 AM - Patrick Plitzner

ref #6595 Fix "move synonym to another taxon" handler

Revision ffa3cdff - 11/08/2017 11:33 AM - Patrick Plitzner

ref #6595 Another fix for "move synonym to another taxon" handler

e close old editor
® Open new one

Revision 776e3e99 - 11/08/2017 11:33 AM - Patrick Plitzner

ref #6595 Preselect classification when moving factual data

Revision 0199310 - 11/09/2017 03:38 PM - Patrick Plitzner

ref #6595 Fix selection propagation for name editor when entering text

Revision 3f0054fb - 11/09/2017 04:03 PM - Patrick Plitzner

ref #6595 Fix selection propagation for name editor when entering text

Revision 96e9845f - 11/10/2017 11:40 AM - Patrick Plitzner

ref #6595 Enhance selection propagation for name editor

Revision b6b0c782 - 11/10/2017 11:41 AM - Patrick Plitzner

ref #6595 Enhance selection propagation for name editor

Revision 9af93aa7 - 11/10/2017 03:59 PM - Andreas Miiller

ref #6595 fix never ending details view rendering

Revision e153d114 - 11/13/2017 03:04 PM - Andreas Miiller

ref #6595 fix never ending details view rendering

History

#1 - 05/04/2017 01:23 PM - Andreas Miiller
- Related to bug #6550: ArraylndexOutOfBoundsException when opening a taxon with double click from the navigator added

#2 - 05/04/2017 01:54 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 4.8

#3 - 07/06/2017 10:27 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#4 - 07/21/2017 10:26 AM - Andreas Mdiller

- Target version changed from Release 4.9 to Release 4.10

#5 - 09/04/2017 03:37 PM - Patrick Plitzner
- Status changed from New to In Progress

#6 - 09/26/2017 01:47 PM - Patrick Plitzner

- Target version changed from Release 4.10 to Release 4.11

#7 - 09/26/2017 04:52 PM - Patrick Plitzner
- % Done changed from 0 to 40

#8 - 09/27/2017 10:55 AM - Patrick Plitzner
- Status changed from In Progress to Resolved
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 40 to 50

#9 - 10/18/2017 02:48 PM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Patrick Plitzner

seems to work

#10 - 10/19/2017 02:29 PM - Patrick Plitzner
- Status changed from Closed to Resolved

- % Done changed from 50 to 80

Katja:

Es gibt noch zwei Sachen, die ich im Hinblick auf den Workshop kritisch finde:

Wenn Synonyme nicht im Name Editor nicht editierbar sind, dann kann ich sie auch nicht auswahlen, dann kann ich im Name Editor auch keine
Anderungen machen, so dass ich das Problem nicht beheben kann und ich kann sie dann auch nicht l8schen.

#11 - 10/19/2017 02:34 PM - Andreas Miiller

- Status changed from Resolved to Feedback

#12 - 10/20/2017 11:07 AM - Katja Luther
- Status changed from Feedback to Resolved

- % Done changed from 80 to 50

Applied in changeset taxeditor|31e5785c8476d0eefc99ec19de7adc471eb580a4.

#13 - 10/20/2017 11:18 AM - Katja Luther
- % Done changed from 50 to 80

Wenn Synonyme nicht im Name Editor nicht editierbar sind, dann kann ich sie auch nicht
auswahlen, dann kann ich im Name Editor auch keine Anderungen machen, so dass ich das
Problem nicht beheben kann und ich kann sie dann auch nicht I6schen.

the textWidget needs to be enabled but not editable to be clickable.

#14 - 10/20/2017 11:18 AM - Katja Luther

- Assignee changed from Patrick Plitzner to Andreas Muiller

#15 - 10/21/2017 10:03 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther
- % Done changed from 80 to 60

- Severity changed from normal to major

The Name Editor can still be opened multiple times for the same taxon. At least this is the case when trying opening via search result view or
referencing objects view. It seems to be not the case when opening via taxon navigator.

In general opening strategy should be independent from where the opening was triggered. If this is not yet the case we should try to make it
independent and use 1 single access point.

#16 - 10/25/2017 10:43 AM - Patrick Plitzner

Andreas Muller wrote:

The Name Editor can still be opened multiple times for the same taxon. At least this is the case when trying opening via search result view or
referencing objects view. It seems to be not the case when opening via taxon navigator.

In general opening strategy should be independent from where the opening was triggered. If this is not yet the case we should try to make it
independent and use 1 single access point.

This has now also been fixed

#17 - 10/25/2017 01:19 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

when opening a taxon that has a synonym the synonym has the focus. But the accepted taxon should have the focus.

No it's more difficult: Opening a taxon in the name editor -> the synonym is highlighted but the selected item seems to be the accepted taxon (details
and factual data are displayed) but when clicking on the tab to move it the synonym gets the focus (I did not click in the freetext field) and the details
of the synonym are displayed. see attached images

#18 - 10/25/2017 01:28 PM - Katja Luther
- File synonymHasFocus.PNG added
- File synonymHighlighted. PNG added

#19 - 10/26/2017 09:05 AM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 60 to 70

#20 - 10/26/2017 01:44 PM - Katja Luther
- Status changed from Resolved to Feedback

- Assignee changed from Katja Luther to Patrick Plitzner

the focus still moves to the synonym when moving the tab.

#21 - 10/27/2017 07:48 AM - Patrick Plitzner

- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 70 to 80

Fixed the initial selection.

| think all the issues mentioned in the comments are done. Please close if correct
#22 - 11/01/2017 01:49 PM - Katja Luther

- Status changed from Resolved to Feedback

- Assignee changed from Katja Luther to Patrick Plitzner

| don't know if this is an old issue: but setting a synonym in a heterotypic (to the accepted taxon) homotypic group as basionym changes the symbol of
the synonym from homotypic to heterotypic.

#23 - 11/01/2017 01:50 PM - Katja Luther
the focus stuff works fine now.
#24 - 11/01/2017 02:40 PM - Katja Luther
Katja Luther wrote:
| don't know if this is an old issue: but setting a synonym in a heterotypic (to the accepted taxon) homotypic group as basionym changes the

symbol of the synonym from homotypic to heterotypic.

this is again an update problem because the basionym should be the first synonym in the list and then the icon is correct.
same problem when drag&drop a synoym in the homotypical group of an other synonym, the order should be recalculated.

#25 - 11/06/2017 05:00 PM - Patrick Plitzner
- Status changed from Feedback to Closed
- % Done changed from 80 to 100

Created a new ticket for the remaining issues -> #7058

#26 - 11/07/2017 10:40 AM - Andreas Miiller
- Status changed from Closed to Feedback

Have to reopen as it is not possible anymore to add a misapplication to an accepted taxon. The according submenu in the "New" context menu is
disabled.

Another less critical issue: context menu of accepted taxon shows "change to" which has 3 disabled submenus. In e3 the "change to" menu item was
invisible, which is more appropriate.

Finally, in e3 we had a "save" menu item which is missing in e4 version (not so critical, as save is possible at other places, however, some users
might be used to)

#27 - 11/07/2017 10:49 AM - Andreas Miiller
- File picture804-1.png added

#28 - 11/07/2017 12:14 PM - Patrick Plitzner
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Miiller

Fixed misapplication handler and opened ticket for remaining issues. #7064
Please close after review

#29 - 11/07/2017 12:14 PM - Patrick Plitzner
- Copied to bug #7064: NameEditor remaining issues added

#30 - 11/07/2017 03:36 PM - Andreas Miiller

Misapplication issue seems to be fixed. Keep ticket open for general review of name editor.

#31 - 11/07/2017 04:50 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

Name editor tabs do still show taxon titleCache but should show name titleCache

#32 - 11/08/2017 01:30 AM - Andreas Miiller

Restoring name editors tabs after restart (maybe also reconnect?) does not work anymore, but did in 4.10. (see similar issue in navigator ticket #6909

)
#33 - 11/08/2017 07:53 AM - Andreas Muller

Move synonym (homot. group) to a new accepted taxon does not work correctly. The result is correct, but after the operation only the dirty flag is set.
The homotypic group is still visible. It should be the other way round:
e the synonym group should be removed
e the dirty flag should NOT be set (because the operation is saved immediately and can't be reverted)
¢ additionally the new taxon should be opened (showing the synonym group being moved)

Partly this already didn't work in v4.10: here the synonym group WAS removed but the dirty flag was still set. Also the new accepted taxon was not
opened.

#34 - 11/08/2017 09:43 AM - Andreas Miiller

- Copied to feature request #7063: Improve the area selection wizard for distribution editor added

#35 - 11/08/2017 09:44 AM - Andreas Miuiller

- Copied to deleted (feature request #7063: Improve the area selection wizard for distribution editor)

#36 - 11/08/2017 09:47 AM - Patrick Plitzner

- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller
- % Done changed from 100 to 90

Handler was fixed.

Restoring was disabled on purpose (as described in #6909)
#37 - 11/08/2017 10:45 AM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner
Patrick Plitzner wrote:

Handler was fixed.

In the old taxon, the synonym group is still visible (after reopen it is disappeared so it is only a refresh issue) but shouldn't. All the rest works.

#38 - 11/08/2017 10:56 AM - Andreas Muiller

- Copied from feature request #7071: Reenable restore functionality added
#39 - 12/18/2017 11:22 AM - Katja Luther
Andreas Miller wrote:

Patrick Plitzner wrote:

Handler was fixed.

In the old taxon, the synonym group is still visible (after reopen it is disappeared so it is only a refresh issue) but shouldn't. All the rest works.

| can't reproduce this. The old taxon is closed and the new one is opened.

#40 - 12/18/2017 11:43 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Mliller

#41 - 05/16/2018 02:31 PM - Patrick Plitzner
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Patrick Plitzner

- % Done changed from 90 to 100

The E4 migration has been done up to a sufficient state.
Remaining issues should be handled in separate tickets.

Files
synonymHasFocus.PNG 31.3KB 10/25/2017 Katja Luther
synonymHighlighted.PNG 56.2 KB 10/25/2017 Katja Luther
picture804-1.png 4.15 KB 11/07/2017 Andreas Miller
